> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create or update email templates

POST https://rest.test.zuora.com/notifications/email-templates/import
Content-Type: application/json

Creates email templates for standard or custom events if you do not specify email template IDs, or updates existing email templates if you specify valid email template IDs.

For each email template when you are creating email templates, whether the template is created for a standard event, a custom event, or a custom scheduled event is dependent on whether you specify the `eventCategory` or `eventTypeName` field.

- If you specify the `eventCategory` field, the email template is created based on a standard event. See [Standard Event Categories](https://knowledgecenter.zuora.com/Central_Platform/Notifications/A_Standard_Events/Standard_Event_Category_Code_for_Notification_Histories_API) for all standard event category codes.
- If you specify the `eventTypeName` field, the email template is created based on the corresponding custom event or custom scheduled event. See [Custom event triggers](https://developer.zuora.com/api-references/api/tag/Custom-Event-Triggers/) for more information about custom events, and [Custom scheduled events](https://developer.zuora.com/api-references/api/tag/Custom-Scheduled-Events/) for more information about custom scheduled events.

The maximum number of email templates that you can create or update by one call is 1,000.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/events-and-notifications/notifications/post-create-or-update-email-templates

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

### Body (application/json)

This endpoint expects a POSTCreateOrUpdateEmailTemplateRequest.

- `allowPartialSuccess` (boolean, optional) — When set to `false`, the call will fail if one or multiple instances fail to import, and a `200` response is returned if all email templates have been successfully updated. When set to `true`, a success (`200`) response is returned if one or more instances have imported successfully. All failed instances are also returned in the response.
- `emailTemplates` (list of POSTCreateOrUpdateEmailTemplateRequestFormat, optional) — A container for email templates.

## Response

### 200

OK

- `reasons` (list of string, optional) — Returns an empty array if the request succeeds.

## Types

### POSTCreateOrUpdateEmailTemplateRequestFormat

- `emailBody` (string, required) — The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates. You can also embed HTML tags if `isHtml` is `true`.
- `emailSubject` (string, required) — The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
- `fromEmailType` (enum, required) — The type of the email.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `name` (string, required) — The name of the email template, a unique name in a tenant.
- `toEmailType` (enum, required) — Email receive type. - When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - InvoiceOwnerBillToContact - InvoiceOwnerSoldToContact - InvoiceOwnerShipToContact - InvoiceOwnerBillToAndSoldToContacts - InvoiceOwnerAllContacts - When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - When the related event is tenant-level, such as Bill Run Completion, you can use the following values: - TenantAdmin - RunOwner - SpecificEmails
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`
- `active` (boolean, optional, default: true) — The status of the email template. The default value is `true`.
- `bccEmailAddress` (string, optional) — The email bcc address.
- `ccEmailAddress` (string, optional) — The email CC address.
- `ccEmailType` (enum, optional, default: SpecificEmails) — Email CC type. - When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - InvoiceOwnerBillToContact - InvoiceOwnerSoldToContact - InvoiceOwnerShipToContact - InvoiceOwnerBillToAndSoldToContacts - InvoiceOwnerAllContacts - When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - When the related event is tenant-level, such as Bill Run Completion, you can use the following values: - TenantAdmin - RunOwner - SpecificEmails
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`
- `description` (string, optional) — The description of the email template.
- `emailHeaders` (map from string to string, optional) — Container for custom email headers. Each custom email header consists of a header name and a header value.
- `encodingType` (enum, optional, default: UTF8) — The endcode type of the email body.
  - Allowed values: `UTF8`, `Shift_JIS`, `ISO_2022_JP`, `EUC_JP`, `X_SJIS_0213`
- `eventCategory` (double, optional) — If you specify this field, the email template is created based on a standard event. See [Standard Event Categories](https://knowledgecenter.zuora.com/Central_Platform/Notifications/A_Standard_Events/Standard_Event_Category_Code_for_Notification_Histories_API) for all standard event category codes.
- `eventTypeName` (string, optional) — The name of the custom event or custom scheduled event. If you specify this field, the email template is created based on the corresponding custom event or custom scheduled event.
- `eventTypeNamespace` (string, optional) — The namespace of the `eventTypeName` field. The `eventTypeName` has the `user.notification` namespace by default. Note that if the `eventTypeName` is a standard event type, you must specify the `com.zuora.notification` namespace; otherwise, you will get an error. For example, if you want to create an email template on the `OrderActionProcessed` event, you must specify `com.zuora.notification` for this field.
- `fromEmailAddress` (string, optional) — If fromEmailType is SpecificEmail, this field is required.
- `fromName` (string, optional) — The name of the email sender.
- `id` (string, optional) — ID of an existing email template. Specify this field if you want to update an existing email template.
- `isHtml` (boolean, optional, default: false) — Indicates whether the style of email body is HTML. The default value is `false`.
- `replyToEmailAddress` (string, optional) — If `replyToEmailType` is `SpecificEmail`, this field is required.
- `replyToEmailType` (enum, optional) — Type of the replyTo email.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `toEmailAddress` (string, optional) — If toEmailType is SpecificEmail, this field is required.

## Examples

### Create an email template

**Request**

```json
{
  "allowPartialSuccess": true,
  "emailTemplates": [
    {
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "active": true,
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "replyToEmailType": "TenantEmail"
    }
  ]
}
```

**Response**

```json
{
  "reasons": []
}
```

**SDK Code**

```python Create an email template
import requests

url = "https://rest.test.zuora.com/notifications/email-templates/import"

payload = {
    "allowPartialSuccess": True,
    "emailTemplates": [
        {
            "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
            "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
            "fromEmailType": "TenantEmail",
            "name": "Account Edit Email",
            "toEmailType": "BillToContact",
            "active": True,
            "description": "Details of the email template",
            "eventTypeName": "AccountEdit",
            "fromName": "Company Co. Ltd.",
            "replyToEmailType": "TenantEmail"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create an email template
const url = 'https://rest.test.zuora.com/notifications/email-templates/import';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"allowPartialSuccess":true,"emailTemplates":[{"emailBody":"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.","emailSubject":"Account {{DataSource.Account.AccountNumber}} has been edited","fromEmailType":"TenantEmail","name":"Account Edit Email","toEmailType":"BillToContact","active":true,"description":"Details of the email template","eventTypeName":"AccountEdit","fromName":"Company Co. Ltd.","replyToEmailType":"TenantEmail"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create an email template
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/notifications/email-templates/import"

	payload := strings.NewReader("{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"active\": true,\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create an email template
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/notifications/email-templates/import")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"active\": true,\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Create an email template
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/notifications/email-templates/import")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"active\": true,\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}")
  .asString();
```

```php Create an email template
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/notifications/email-templates/import', [
  'body' => '{
  "allowPartialSuccess": true,
  "emailTemplates": [
    {
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "active": true,
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "replyToEmailType": "TenantEmail"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create an email template
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/notifications/email-templates/import");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"active\": true,\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create an email template
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "allowPartialSuccess": true,
  "emailTemplates": [
    [
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "active": true,
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "replyToEmailType": "TenantEmail"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/notifications/email-templates/import")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update an email template

**Request**

```json
{
  "allowPartialSuccess": true,
  "emailTemplates": [
    {
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "id": "f11e498862584a10a05b83ea70119659",
      "replyToEmailType": "TenantEmail"
    }
  ]
}
```

**Response**

```json
{
  "reasons": []
}
```

**SDK Code**

```python Update an email template
import requests

url = "https://rest.test.zuora.com/notifications/email-templates/import"

payload = {
    "allowPartialSuccess": True,
    "emailTemplates": [
        {
            "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
            "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
            "fromEmailType": "TenantEmail",
            "name": "Account Edit Email",
            "toEmailType": "BillToContact",
            "description": "Details of the email template",
            "eventTypeName": "AccountEdit",
            "fromName": "Company Co. Ltd.",
            "id": "f11e498862584a10a05b83ea70119659",
            "replyToEmailType": "TenantEmail"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update an email template
const url = 'https://rest.test.zuora.com/notifications/email-templates/import';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"allowPartialSuccess":true,"emailTemplates":[{"emailBody":"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.","emailSubject":"Account {{DataSource.Account.AccountNumber}} has been edited","fromEmailType":"TenantEmail","name":"Account Edit Email","toEmailType":"BillToContact","description":"Details of the email template","eventTypeName":"AccountEdit","fromName":"Company Co. Ltd.","id":"f11e498862584a10a05b83ea70119659","replyToEmailType":"TenantEmail"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update an email template
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/notifications/email-templates/import"

	payload := strings.NewReader("{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"id\": \"f11e498862584a10a05b83ea70119659\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update an email template
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/notifications/email-templates/import")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"id\": \"f11e498862584a10a05b83ea70119659\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Update an email template
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/notifications/email-templates/import")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"id\": \"f11e498862584a10a05b83ea70119659\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}")
  .asString();
```

```php Update an email template
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/notifications/email-templates/import', [
  'body' => '{
  "allowPartialSuccess": true,
  "emailTemplates": [
    {
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "id": "f11e498862584a10a05b83ea70119659",
      "replyToEmailType": "TenantEmail"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Update an email template
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/notifications/email-templates/import");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"allowPartialSuccess\": true,\n  \"emailTemplates\": [\n    {\n      \"emailBody\": \"Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.\",\n      \"emailSubject\": \"Account {{DataSource.Account.AccountNumber}} has been edited\",\n      \"fromEmailType\": \"TenantEmail\",\n      \"name\": \"Account Edit Email\",\n      \"toEmailType\": \"BillToContact\",\n      \"description\": \"Details of the email template\",\n      \"eventTypeName\": \"AccountEdit\",\n      \"fromName\": \"Company Co. Ltd.\",\n      \"id\": \"f11e498862584a10a05b83ea70119659\",\n      \"replyToEmailType\": \"TenantEmail\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update an email template
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "allowPartialSuccess": true,
  "emailTemplates": [
    [
      "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
      "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
      "fromEmailType": "TenantEmail",
      "name": "Account Edit Email",
      "toEmailType": "BillToContact",
      "description": "Details of the email template",
      "eventTypeName": "AccountEdit",
      "fromName": "Company Co. Ltd.",
      "id": "f11e498862584a10a05b83ea70119659",
      "replyToEmailType": "TenantEmail"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/notifications/email-templates/import")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```